Patient Created Detailed

Page View

Patient administration notifications contain details about a patient's record or movements within a specific hospital or provider's office.

You can receive notifications when:

  • A patient record is created, merged, or updated.
  • A patient checks in, transfers to another unit, or leaves the hospital.

created

Indicates that a new patient record has been created in your connection's system.

You can opt in for lightweight or detailed notifications.

  • A lightweight notification provides the Patient reference, high-level patient info, and timestamp.
  • A detailed notification contains everything in the lightweight plus the entire patient record and related references.

Review tips for receiving patient record notifications.

Select payload example

PatientAdminCreatedBundleExample
json
1
{
2
"resourceType": "Bundle",
3
"id": "PatientAdminCreatedBundleExample",
4
"type": "message",
5
"entry": [
6
{
7
"resource": {
8
"eventUri": "https://fhir.redoxengine.com/EventDefinition/PatientAdminCreated",
9
"resourceType": "MessageHeader",
10
"id": "37e1454a-3b6e-5bd4-9450-921bb470817c",
11
"source": {
12
"name": "Good Health Clinics",
13
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
14
},
15
"focus": [
16
{
17
"reference": "urn:uuid:50017f95-0da7-5ae4-b379-40eb69891e92"
18
}
19
],
20
"definition": "https://fhir.redoxengine.com/MessageDefinition/PatientAdminCreatedLight"
21
},
22
"fullUrl": "urn:uuid:37e1454a-3b6e-5bd4-9450-921bb470817c"
23
},
24
{
25
"fullUrl": "urn:uuid:50017f95-0da7-5ae4-b379-40eb69891e92",
26
"resource": {
27
"resourceType": "Patient",
28
"id": "50017f95-0da7-5ae4-b379-40eb69891e92",
29
"identifier": [
30
{
31
"value": "0000000001",
32
"system": "urn:redox:health-one:MR"
33
},
34
{
35
"value": "101-01-0001",
36
"system": "http://hl7.org/fhir/sid/us-ssn"
37
}
38
],
39
"name": [
40
{
41
"given": [
42
"Timothy",
43
"Paul"
44
],
45
"family": "Bixby"
46
}
47
],
48
"gender": "male",
49
"birthDate": "2008-01-06"
50
}
51
}
52
],
53
"timestamp": "2021-06-17T20:33:22.422Z"
54
}

Request Body Schema

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: message
  • entry
    required, Array of messageHeader, patient, practitioner, organization or Other

    An entry in the bundle containing a FHIR resource

    • fullUrl
      string

      The Absolute URL for the resource. The fullUrl SHALL NOT disagree with the id in the resource - i.e. if the fullUrl is not a urn:uuid, the URL shall be version-independent URL consistent with the Resource.id. The fullUrl is a version independent reference to the resource. The fullUrl element SHALL have a value except that:

      • fullUrl can be empty on a POST (although it does not need to when specifying a temporary id for reference in the bundle)
      • Results from operations might involve resources that are not identified.
    • resource
      object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        The source application from which this message originated.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

      • focus
        required, Array of object

        The actual data of the message - a reference to the root/focus class of the event.

        Must be a resource of type Resource.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • definition
        required, string

        Permanent link to the MessageDefinition for this message.

      • eventUri
        required, string

        Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value http://terminology.hl7.org/CodeSystem/message-events. Alternatively uri to the EventDefinition.

        Value: https://fhir.redoxengine.com/EventDefinition/PatientAdminCreated
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.